/* 
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#ifndef QML_TASKITEM_H
#define QML_TASKITEM_H

#include "QtCore/qvariant.h"
#include <QtQml/qqmlregistration.h>
#include <QtCore/QString>
#include <memory>

#include "core/TaskItem.h"

struct QMLTaskItem {

	Q_GADGET
    Q_PROPERTY(QString text READ getText)
    Q_PROPERTY(QString state READ getState)
    Q_PROPERTY(QString date READ getDate)
    Q_PROPERTY(bool shouldShowDate READ getShouldShowDate)
	QML_VALUE_TYPE(taskItem)

public:

	QString getText();
	QString getState();
	QString getDate();
	bool getShouldShowDate();	

	mirai::TaskItem* taskItem;
	bool shouldShowDate = false;
};

#endif
