/* 
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#ifndef MIRAI_TASKITEM_H
#define MIRAI_TASKITEM_H

#include "utils.h"
#include <ctime>
#include <fstream>
#include <iomanip>
#include <iostream>
#include <memory>
#include <regex>
#include <sstream>
#include <stdexcept>
#include <string>
#include <vector>

namespace mirai {
	enum TaskItemState {
		TODO,
		DONE
	};

	struct TaskItem {
	public:

		void markAsDone();

		void markAsUndone();
		void setDate(const std::string& date);

		void setText(const std::string& text);

		const std::string& getText() const;
		const TaskItemState& getState() const;
		const std::string& getDate() const;
		bool hasDate() const;

		std::string text;
		TaskItemState state;
		std::string date;
	};
}

#endif
